let daysInMonths = [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31]
let monthNames = ["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"]

// Используя цикл for и массив 'кол-во дней в месяцах' выведите количество дней в каждом месяце (без имен месяцев)
for days in daysInMonths {
    print(days)
}

// Используйте еще один массив с именами месяцев, чтобы вывести название месяца + количество дней
for i in 0..<daysInMonths.count {
    let monthName = monthNames[i]
    let days = daysInMonths[i]
    print("\(monthName): \(days) дней")
}

// Сделайте тоже самое, но используя массив tuples (кортежей) с параметрами (имя месяца, кол-во дней)
let months = [("Январь", 31), ("Февраль", 28), ("Март", 31), ("Апрель", 30), ("Май", 31), ("Июнь", 30), ("Июль", 31), ("Август", 31), ("Сентябрь", 30), ("Октябрь", 31), ("Ноябрь", 30), ("Декабрь", 31)]

// Вывод количества дней для каждого месяца:
for month in months {
    print("\(month.0) имеет \(month.1) дней.")
}

// Вывод названия месяца и количества дней:
for (monthName, days) in months {
    print("\(monthName) имеет \(days) дней.")
}

// Сделайте тоже самое, только выводите дни в обратном порядке (порядок в массиве не менять)
for month in months.reversed() {
    print("\(month.0) имеет \(month.1) days.")
}

for (monthName, days) in months.reversed() {
    print("\(monthName) имеет \(days) days.")
}

// Для произвольно выбранной даты (месяц и день) посчитайте количество дней до этой даты от начала года
let month = 9 // выбранный месяц (сентябрь)
let day = 1 // выбранный день (1 сентября)

// Суммируем количество дней в каждом месяце до выбранного месяца
var totalDays = daysInMonths[0..<month-1].reduce(0, +)

// Добавляем количество дней в выбранном месяце
totalDays += day

print("Кол-во дней с начала года до \(day).\(month): \(totalDays)")


